%define upstream_name    AnyEvent-FTP
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Server response encoder that encodes responses so they cannot be confused
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(File::HomeDir) >= 0.910.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(PerlIO::eol)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
This distribution provides client and server implementations for File
Transfer Protocol (FTP) in an AnyEvent environment. For the specific
interfaces, see the AnyEvent::FTP::Client manpage and the
AnyEvent::FTP::Server manpage for details.

Before each release, the AnyEvent::FTP::Client manpage is tested against
these FTP servers using the 't/client_*.t' tests that come with this
distribution:

* Proftpd

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/aeftpd
/usr/share/man/man1/aeftpd.1.xz


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-4.mga6
+ Revision: 1022504
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.90.0-3.mga6
+ Revision: 971854
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.90.0-2.mga6
+ Revision: 893421
- rebuild with fixed deps

* Wed Aug 05 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 861290
- update to 0.09

* Sat Jun 27 2015 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 846411
- update to 0.08

* Tue Jan 27 2015 shlomif <shlomif> 0.60.0-1.mga5
+ Revision: 812428
- Add missing BR
- Add missing BRs
- imported package perl-AnyEvent-FTP


* Mon Jan 26 2015 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
